summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDamien Miller <djm@mindrot.org>2006-01-31 22:01:42 +1100
committerDamien Miller <djm@mindrot.org>2006-01-31 22:01:42 +1100
commit10c5fa7e8766c332b1e04e95fc5d761ee2407214 (patch)
tree5adb828debac0517c93620b9204f3166eb34c932
parentec7b2f12f00cf0655d88dc543323621df2f36c64 (diff)
- markus@cvs.openbsd.org 2005/06/30 11:02:37
[regress/scp.sh] allow SUDO=sudo; from Alexander Bluhm
-rw-r--r--ChangeLog7
-rw-r--r--regress/scp.sh4
2 files changed, 7 insertions, 4 deletions
diff --git a/ChangeLog b/ChangeLog
index 932ba415..ea8ae91a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -47,8 +47,11 @@
force addressfamily=inet for tests, unbreaking dynamic-forward regress for
recently committed nc SOCKS5 changes
- djm@cvs.openbsd.org 2005/05/24 04:10:54
- [try-ciphers.sh]
+ [regress/try-ciphers.sh]
oops, new arcfour modes here too
+ - markus@cvs.openbsd.org 2005/06/30 11:02:37
+ [regress/scp.sh]
+ allow SUDO=sudo; from Alexander Bluhm
20060129
- (dtucker) [configure.ac opensshd.init.in] Bug #1144: Use /bin/sh for the
@@ -3774,4 +3777,4 @@
- (djm) Trim deprecated options from INSTALL. Mention UsePAM
- (djm) Fix quote handling in sftp; Patch from admorten AT umich.edu
-$Id: ChangeLog,v 1.4105 2006/01/31 10:59:35 djm Exp $
+$Id: ChangeLog,v 1.4106 2006/01/31 11:01:42 djm Exp $
diff --git a/regress/scp.sh b/regress/scp.sh
index c3034b6e..1043b8ea 100644
--- a/regress/scp.sh
+++ b/regress/scp.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: scp.sh,v 1.3 2004/07/08 12:59:35 dtucker Exp $
+# $OpenBSD: scp.sh,v 1.4 2005/06/30 11:02:37 markus Exp $
# Placed in the Public Domain.
tid="scp"
@@ -73,7 +73,7 @@ if [ ! -z "$SUDO" ]; then
chmod 660 ${DIR2}/copy
$SUDO chown root ${DIR2}/copy
$SCP -p $scpopts somehost:${DIR}/\* ${DIR2} >/dev/null 2>&1
- diff ${DIFFOPT} ${DIR} ${DIR2} || fail "corrupted copy"
+ $SUDO diff ${DIFFOPT} ${DIR} ${DIR2} || fail "corrupted copy"
$SUDO rm ${DIR2}/copy
fi